Chat with us, powered by LiveChat

Blog

FX Synergy 1.5.1 Build 203 Released

We are very pleased to announce the release of FX Synergy 1.5.1 Build 203. This release is an emergency update to support the new MT4 version released by MetaQuotes last week.

If you have an active license with updates, simply start or restart FX Synergy and you will be asked to update to the latest version. All your settings will survive the update. Please remember to close all MT4 terminals before updating.

There are 2 very important things to note:

1) FX Synergy should be started before any MT4 terminals. If you start MT4 first, you may need to reload the FX Synergy template to connect the account.
2) MetaQuotes have messed up how plugins are initialised, so until they get the issue fixed you need to reload the FX Synergy template every time you start the MT4 terminal. The issue appears to have been fixed in MT4 Build 604, so it’s only temporary until your broker updates to the latest build.

We had planned to release FX Synergy 1.5.2 next week, however it has been delayed due to all the issues caused by the new MT4 version. We expect to release the next FX Synergy update in early March.

The weekly webinars are stil held every Wednesday at 3:00pm EST, and runs for up to 1 hour. All webinars are recorded, and posted in the webinar archive. You can signup and ask questions in advance.